본문 바로가기
반응형

cs6

Tutorials: My First Revit Plug-in My First Revit Plug-in Overview | Search | Autodesk Knowledge Network My First Revit Plug-in Overview >> Lesson 1 >> Lesson 2 >> Lesson 3>> Lesson 4 >> Lesson 5 >> Lesson 6 >> Lesson 7 >> Lesson 8 Are you an Autodesk Revit power user with an interest in becoming even more productive? Would you like to automa knowledge.autodesk.com Free Online GUID Generator Online GUID / UUID Generator How many .. 2021. 10. 5.
reading a csv file - code evolved https://forums.autodesk.com/t5/revit-api-forum/reading-a-csv-file-code-evolved/m-p/3303833#M2534 using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.IO; using Autodesk.Revit.DB; using Autodesk.Revit.UI;string filepath = "insert file path here"; if( File.Exists( filepath ) ) { StreamReader s = new StreamReader(filepath ); while( -1 != s.Peek() ) { st.. 2018. 4. 1.
Revit API Developers Guide http://help.autodesk.com/view/RVT/2017/ENU/?guid=GUID-F0A122E0-E556-4D0D-9D0F-7E72A9315A42 2018. 3. 28.
Youtube: Revit API C# Getting Started Revit API C# Getting Started Learn the basics of the Revit API. www.youtube.com Free Online GUID Generator Online GUID / UUID Generator How many GUIDs do you want (1-2000): Format: Uppercase {} Braces Hypens Encoding: Base64 ? RFC 7515 ? URL encode Results: Copy to Clipboard Use these GUIDs at your own risk! No guarantee www.guidgenerator.com 2018. 3. 22.
Creating a new Level Level CreateLevel(Autodesk.Revit.DB.Document document) { // The elevation to apply to the new level double elevation = 20.0; // Begin to create a level Level level = Level.Create(document, elevation); if (null == level) { throw new Exception("Create a new level failed."); } // Change the level name level.Name = "New level"; return level; }ref: http://help.autodesk.com/view/RVT/2017/ENU/?guid=GUI.. 2018. 3. 21.
Creating a grid with a line or an arc Help help.autodesk.com void CreateGrid(Autodesk.Revit.DB.Document document) { // Create the geometry line which the grid locates XYZ start = new XYZ(0, 0, 0); XYZ end = new XYZ(30, 30, 0); Line geomLine = Line.CreateBound(start, end); // Create a grid using the geometry line Grid lineGrid = Grid.Create(document, geomLine); if (null == lineGrid) { throw new Exception("Create a new straight grid f.. 2018. 3. 21.
반응형